Name:		pidgin-sipe
Version:	1.25.0
Release:	%mkrel 5
Summary:	Pidgin protocol (SIP/SIMPLE) plugin to connect to MS Office Communicator
License:	GPLv2+
Group:		Networking/Instant messaging
URL:		http://sipe.sourceforge.net/
Source0:	https://downloads.sourceforge.net/project/sipe/sipe/%{name}-%{version}/%{name}-%{version}.tar.bz2
Patch1:		pidgin-sipe-1.25.0-fix-false-negative-configure-checks.patch
Patch2:		pidgin-sipe-1.25.0-fix-glib-2.68-build.patch
BuildRequires:	appstream
BuildRequires:	flex
BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	gssntlmssp-devel
BuildRequires:	pkgconfig(purple)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(krb5)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(freerdp-shadow2)
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:	pkgconfig(nice) >= 0.1.0
BuildRequires:	pkgconfig(nss)
BuildRequires:	pkgconfig(gmime-3.0)
BuildRequires:	pkgconfig(libgadu)
BuildRequires:	pkgconfig(libnm)
BuildRequires:	pkgconfig(libnsl)

%description
A third-party plugin for the Pidgin multi-protocol instant messenger.
It implements the extended version of SIP/SIMPLE used by various products:

    * Microsoft Office 365
    * Microsoft Business Productivity Online Suite (BPOS)
    * Microsoft Lync Server
    * Microsoft Office Communications Server (OCS 2007/2007 R2)
    * Microsoft Live Communications Server (LCS 2003/2005)
    * Reuters Messaging

With this plugin you should be able to replace your Microsoft Office
Communicator client with Pidgin.

%prep
%autosetup -p1

# fix build
sed -ie '/AM_GNU_GETTEXT/d' configure.ac

%build
autoreconf -vfi
%configure \
	--with-krb5 \
	--with-vv \
	--enable-purple \
	--disable-telepathy
%make_build

%check
%__make check

%install
%make_install

find %{buildroot} -name '*.la' -delete

# Pidgin doesn't have 24 or 32 pixel icons
rm -f \
   %{buildroot}%{_datadir}/pixmaps/pidgin/protocols/24/sipe.png \
   %{buildroot}%{_datadir}/pixmaps/pidgin/protocols/32/sipe.png

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%dir %{_libdir}/purple-2
%{_libdir}/purple-2/*.so
%{_datadir}/pixmaps/pidgin/
%{_datadir}/metainfo/%{name}.metainfo.xml


%changelog
* Sat Aug 06 2022 wally <wally> 1.25.0-5.mga9
+ Revision: 1875576
- add patch from Fedora to fix build with glib >= 2.68
- build using gmime-3.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Tue Jan 05 2021 daviddavid <daviddavid> 1.25.0-4.mga8
+ Revision: 1669000
- add build dependency on pkgconfig(libnsl) to fix build

* Sun Feb 16 2020 umeabot <umeabot> 1.25.0-3.mga8
+ Revision: 1536317
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Oct 15 2019 daviddavid <daviddavid> 1.25.0-2.mga8
+ Revision: 1453902
- add upstream patch to fix false negative configure checks
- add --with-vv to ensure build doesn't silently disable V&V

* Sat Oct 12 2019 daviddavid <daviddavid> 1.25.0-1.mga8
+ Revision: 1452359
- new version: 1.25.0
- remove merged upstream patch
- add BR flex

* Thu Aug 29 2019 daviddavid <daviddavid> 1.24.0-3.mga8
+ Revision: 1435151
- add upstream patch to fix build with new Glib2 >= 2.56.0
  * https://sourceforge.net/p/sipe/bugs/358/

* Sun Nov 11 2018 daviddavid <daviddavid> 1.24.0-2.mga7
+ Revision: 1329460
- enable GSSAPI NTLMSSP support

* Sat Nov 10 2018 daviddavid <daviddavid> 1.24.0-1.mga7
+ Revision: 1329374
- new version: 1.24.0

* Sun Sep 23 2018 umeabot <umeabot> 1.23.3-2.mga7
+ Revision: 1300275
- Mageia 7 Mass Rebuild

* Tue Aug 21 2018 daviddavid <daviddavid> 1.23.3-1.mga7
+ Revision: 1253203
- new version: 1.23.3

* Sun Mar 11 2018 daviddavid <daviddavid> 1.23.2-1.mga7
+ Revision: 1208082
- new version: 1.23.2

* Sun Feb 25 2018 daviddavid <daviddavid> 1.23.1-1.mga7
+ Revision: 1205177
- new version: 1.23.1

* Tue Jan 30 2018 daviddavid <daviddavid> 1.23.0-2.mga7
+ Revision: 1198094
- switch to Gstreamer1.0

* Sun Oct 29 2017 daviddavid <daviddavid> 1.23.0-1.mga7
+ Revision: 1174555
- new version: 1.23.0

* Wed Jul 19 2017 daviddavid <daviddavid> 1.22.1-1.mga7
+ Revision: 1124997
- new version: 1.22.1

* Fri Feb 03 2017 daviddavid <daviddavid> 1.22.0-1.mga6
+ Revision: 1084654
- new version: 1.22.0

* Sat May 28 2016 daviddavid <daviddavid> 1.21.1-1.mga6
+ Revision: 1019077
- new version: 1.21.1

* Sat Apr 23 2016 daviddavid <daviddavid> 1.21.0-1.mga6
+ Revision: 1005752
- new version: 1.21.0

* Tue Feb 16 2016 umeabot <umeabot> 1.20.1-2.mga6
+ Revision: 962101
- Mageia 6 Mass Rebuild

* Sat Oct 24 2015 daviddavid <daviddavid> 1.20.1-1.mga6
+ Revision: 894970
- new version: 1.20.1

* Wed Sep 23 2015 daviddavid <daviddavid> 1.20.0-1.mga6
+ Revision: 882426
- new version: 1.20.0 (fixes Office365 users authentication failure)
- remove merged previous upstream patch
- remove deprecated %%makeinstall_std so use %%make_install instead

* Wed Sep 23 2015 daviddavid <daviddavid> 1.18.3-5.mga6
+ Revision: 882413
- add upstream patch to fix Office365 users authentication failure (mga#16809)
  * http://sourceforge.net/p/sipe/bugs/285/

* Sat Feb 07 2015 daviddavid <daviddavid> 1.18.3-4.mga5
+ Revision: 813942
- add missing BuildRequires on libgadu (fix build failure)
- add missing BuildRequires on gmime-2.6
- switch BuildRequires to pkgconfig()
- use %%configure2_5x macro from Mageia
- add documentations on files section

* Wed Oct 15 2014 umeabot <umeabot> 1.18.3-3.mga5
+ Revision: 744175
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.18.3-2.mga5
+ Revision: 687592
- Mageia 5 Mass Rebuild

* Sun Aug 17 2014 dams <dams> 1.18.3-1.mga5
+ Revision: 664851
- new version 1.18.3

* Wed Jul 02 2014 dams <dams> 1.18.2-1.mga5
+ Revision: 642042
- new version 1.18.2

* Mon Apr 28 2014 dams <dams> 1.18.1-1.mga5
+ Revision: 618647
- new version 1.18.1

* Tue Feb 04 2014 dams <dams> 1.18.0-1.mga5
+ Revision: 580779
- new version 1.18.0

* Mon Dec 23 2013 dams <dams> 1.17.3-1.mga4
+ Revision: 560063
- new version 1.17.3

* Thu Nov 28 2013 dams <dams> 1.17.1-1.mga4
+ Revision: 553857
- new version 1.17.1

* Sat Oct 19 2013 umeabot <umeabot> 1.17.0-2.mga4
+ Revision: 536205
- Mageia 4 Mass Rebuild

* Sun Sep 22 2013 dams <dams> 1.17.0-1.mga4
+ Revision: 483670
- new version 1.17.0

* Mon Jul 15 2013 dams <dams> 1.16.1-1.mga4
+ Revision: 454537
- new version 1.16.1

* Sun Jun 16 2013 dams <dams> 1.16.0-1.mga4
+ Revision: 443823
- new version 1.16.0

* Tue Apr 09 2013 dams <dams> 1.15.1-1.mga3
+ Revision: 409161
- new version 1.15.1

* Mon Mar 11 2013 dams <dams> 1.15.0-1.mga3
+ Revision: 402100
- new version 1.5.0

* Sun Jan 13 2013 umeabot <umeabot> 1.14.1-2.mga3
+ Revision: 377739
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 dams <dams> 1.14.1-1.mga3
+ Revision: 337878
- new version 1.14.1

* Mon Dec 17 2012 dams <dams> 1.14.0-1.mga3
+ Revision: 332221
- new version 1.14.0
- add %%check to specfile

* Thu Aug 30 2012 dams <dams> 1.13.3-1.mga3
+ Revision: 285790
- new version 1.13.3

* Wed Jun 27 2012 dams <dams> 1.13.2-1.mga3
+ Revision: 264413
- new version 1.13.2

* Wed Apr 25 2012 dams <dams> 1.13.1-1.mga2
+ Revision: 233253
- new version 1.13.1

* Wed Mar 28 2012 dams <dams> 1.13.0-1.mga2
+ Revision: 227281
- new version 1.13.0
- remove unneeded patch (merged upstream)
- add nss-devel as BR

* Mon Jan 09 2012 dams <dams> 1.12.0-2.mga2
+ Revision: 194039
- add libnice as BR to enable audio/video

* Mon Jan 09 2012 dams <dams> 1.12.0-1.mga2
+ Revision: 194028
- add patch to replace deprecated glib2 functions (from fedora)
- do not libtoolize as weird things happen for some reason
- new version 1.12.0
- clean and update specfile
- imported package pidgin-sipe

